javax.batch.api

## Interface Batchlet

All Known Implementing Classes:
  AbstractBatchlet

    public interface Batchlet

A batchlet is type of batch step that can be used for any type of background processing that does not explicitly call for a chunk oriented approach.

A well-behaved batchlet responds to stop requests by implementing the stop method.

### Method Summary

Methods
`String` `process()` The process method does the work of the batchlet.
`void` `stop()` The stop method is invoked by the batch runtime as part of JobOperator.stop() method processing.

### Method Detail

#### process

    String process()
                   throws Exception

The process method does the work of the batchlet. If this method throws an exception, the batchlet step ends with a batch status of FAILED.

Returns:
  exit status string
Throws:
  `Exception` - if an error occurs.

#### stop

    void stop()
              throws Exception

The stop method is invoked by the batch runtime as part of JobOperator.stop() method processing. This method is invoked on a thread other than the thread on which the batchlet process method is running.

Throws:
  `Exception` - if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0